From b30d5a61977b9d030326672046f90ca186cee7cf Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 14 May 2020 10:03:03 +0200
Subject: [PATCH] Fix reference to OpenSSL PEM CB type

---
 src/interfaces/libpq/fe-secure-openssl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/interfaces/libpq/fe-secure-openssl.c b/src/interfaces/libpq/fe-secure-openssl.c
index 9913242b7a..6d36e1439e 100644
--- a/src/interfaces/libpq/fe-secure-openssl.c
+++ b/src/interfaces/libpq/fe-secure-openssl.c
@@ -1702,7 +1702,7 @@ PQsetSSLKeyPassHook(PQsslKeyPassHook_type hook)
 /*
  * Supply a password to decrypt a client certificate.
  *
- * This must match OpenSSL type pem_passwd_cb.
+ * This must match OpenSSL type pem_password_cb.
  */
 static int
 PQssl_passwd_cb(char *buf, int size, int rwflag, void *userdata)
-- 
2.21.1 (Apple Git-122.3)

